JAMA

# Class: CholeskyDecomposition

Source Location: /PHPExcel/Shared/JAMA/CholeskyDecomposition.php

### Class Overview

#### Author(s):

- Michael Bommarito
- Paul Meagher

#### Version:

- 1.2

### Methods

- __construct
- getL
- isSPD
- solve

### Class Details

[line 18]

#### Tags:

author: | Michael Bommarito
author: | Paul Meagher
version: | 1.2

[ Top ]

### Class Methods

### constructor __construct [line 48]

`CholeskyDecomposition __construct( [mixed $A = null])`

CholeskyDecomposition

Class constructor - decomposes symmetric positive definite matrix

#### Tags:

access: | public

#### Parameters:

mixed | $A | Matrix square symmetric positive definite matrix

[ Top ]

### method getL [line 97]

`Matrix getL( )`

getL

Return triangular factor.

#### Tags:

return: | Lower triangular matrix
access: | public

[ Top ]

### method isSPD [line 86]

`boolean isSPD( )`

Is the matrix symmetric and positive definite?

#### Tags:

access: | public

[ Top ]

### method solve [line 108]

`Matrix solve( [$B $B = null])`

Solve A*X = B

#### Tags:

return: | L * L' * X = B
access: | public

#### Parameters:

$B | $B | Row-equal matrix

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:27 +0200 by phpDocumentor 1.4.4